.comment-wrapper {
  margin-top: 120px;

  .comment-header {
    padding-bottom: 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;

    .comment-anchor {
      font-family: 'Playfair Display';
      font-style: normal;
      font-weight: 400;
      font-size: 16px;
      line-height: 23px;
      color: @g-gray300;
      background-color: transparent;
      border-width: 0;

      &:hover {
        color: @g-gray500;
      }
    }
  }

  .comment-list {
    ul {
      list-style: none;
      margin-bottom: 0;
      padding-left: 0;

      .comment-row {
        display: flex;
        flex-direction: column;

        .comment-item {
          border-top: 1px solid @g-white100;
          border-bottom: 1px solid @g-white100;
          padding: 20px 24px;
          margin-bottom: 24px;
          display: flex;

          @media (min-width: 320px) and (max-width: 540px) {
            padding: 12px 0;
            position: relative;
          }

          .comment-avatar {
            min-width: 60px;
            width: 60px;
            height: 60px;
            margin-right: 20px;

            @media (min-width: 320px) and (max-width: 540px) {
              min-width: 35px;
              width: 35px;
              height: 35px;
              position: absolute;
              top: 12px;
              left: 0;
            }
          }
        }

        .comment-info {
          flex: 1;
          .comment-header {
            padding: 0;
            margin-bottom: 20px;

            @media (min-width: 320px) and (max-width: 540px) {
              margin-left: 43px;
            }

            .comment-author {
              font-family: 'Roboto';
              font-style: normal;
              font-weight: 700;
              font-size: 16px;
              line-height: 22px;
              color: @g-gray500;
              margin-right: 30px;

              @media (min-width: 320px) and (max-width: 540px) {
                font-size: 13px;
                line-height: 16px;
                margin-bottom: 4px;
              }
            }

            .comment-date {
              font-family: 'Cinzel';
              font-style: normal;
              font-weight: 400;
              font-size: 14px;
              line-height: 18px;
              color: @g-gray200;

              @media (min-width: 320px) and (max-width: 540px) {
                font-size: 12px;
                line-height: 16px;
              }
            }

            .comment-option {
              display: flex;
              margin-left: auto;

              li + li {
                margin-left: 32px;
              }

              button {
                background-color: transparent;
                border-width: 0;
                padding: 0;
              }
            }
          }

          .comment-body {
            font-family: 'Roboto';
            font-style: normal;
            font-weight: 400;
            font-size: 18px;
            line-height: 26px;
            color: @g-gray500;
            margin-bottom: 16px;
            p {
              white-space: pre-line;
            }
            &__image {
              width: 100px;
              height: 100px;
              object-fit: cover;
              cursor: pointer;
              &:not(:last-child) {
                margin-right: 15px;
              }
            }
          }

          .comment-footer {
            display: flex;
            align-items: center;
            justify-content: space-between;

            .option-reply {
              font-family: 'Roboto';
              font-style: normal;
              font-weight: 400;
              font-size: 14px;
              line-height: 18px;
              color: @g-gray300;
              padding: 0;
              background-color: transparent;
              border-width: 0;

              &:hover {
                color: @g-gray500;
              }
            }

            .option-rate {
              display: flex;
              align-items: center;
              &:only-child {
                margin-left: auto;
              }
              &_readonly button {
                cursor: default;
              }

              button {
                background-color: transparent;
                border-width: 0;
                padding: 0;
                font-family: 'Cinzel';
                font-style: normal;
                font-weight: 400;
                font-size: 14px;
                line-height: 18px;
                color: @g-gray300;
                i {
                  margin: 0px 8px;
                }

                &:hover {
                  color: @g-gray500;
                }
              }
            }
          }
        }

        ul:not(.comment-option):not(.option-rate) {
          margin-left: 78px;
          margin-bottom: 24px;

          @media (min-width: 320px) and (max-width: 540px) {
            margin-left: 12px;
          }
        }
      }
    }
  }

  .comment-form {
    display: flex;
    flex-direction: column;
    margin-top: 64px;

    .comment-box {
      display: flex;
      background-color: @g-white;
      border: 1px solid @g-gray100;
      box-sizing: border-box;
      padding: 12px 24px;
      position: relative;

      @media (min-width: 320px) and (max-width: 540px) {
        height: 147px;
        padding: 12px;
      }
      .upload input {
        color: transparent;
      }

      .author-avatar {
        min-width: 60px;
        width: 60px;
        height: 60px;
        margin-right: 20px;

        @media (min-width: 320px) and (max-width: 540px) {
          min-width: 35px;
          width: 35px;
          height: 35px;
          margin-right: 8px;
        }
      }

      .form-body {
        width: 100%;
        &-author {
          margin-bottom: 8px;
          & > *:not(:first-child) {
            margin-left: 5px;
          }
          .author-name {
            font-family: 'Roboto';
            font-style: normal;
            font-weight: 700;
            font-size: 16px;
            line-height: 22px;
            color: @g-gray500;
            display: inline-block;

            @media (min-width: 320px) and (max-width: 540px) {
              font-size: 12px;
              line-height: 16px;
            }
            &_reply {
              cursor: pointer;
            }
          }
        }

        textarea {
          background: @g-white;
          border: 1px solid @g-white100;
          box-sizing: border-box;
          width: 100%;
          padding: 8px 12px;
          font-family: 'Roboto';
          font-style: normal;
          font-weight: 400;
          font-size: 14px;
          line-height: 20px;
          min-height: 78px;

          &:focus {
            outline: none;
          }

          &::placeholder {
            font-family: 'Roboto';
            font-style: normal;
            font-weight: 400;
            font-size: 18px;
            line-height: 26px;
            color: @g-white100;

            @media (min-width: 320px) and (max-width: 540px) {
              font-size: 14px;
              line-height: 20px;
            }
          }
        }

        @media (min-width: 320px) and (max-width: 540px) {
          form {
            position: absolute;
            top: 55px;
            bottom: 8px;
            left: 0;
            right: 0;

            textarea {
              height: 100%;
              border-right-width: 0;
              border-left-width: 0;
              border-bottom-width: 0;
            }
          }
        }
      }
    }

    .comment-images {
      display: flex;
      gap: 20px;
      margin-bottom: 20px;
      &__wrapper {
        position: relative;
        img:hover + button,
        button:hover {
          opacity: 1;
        }
        img {
          width: 100px;
          height: 100px;
          object-fit: cover;
        }
        button {
          transition: 0.1s all ease-in-out;
          opacity: 0;
          position: absolute;
          width: 25px;
          height: 25px;
          top: 0;
          right: 0;
          background-color: transparent;
          border: none;
          color: #fff;
        }
      }
    }

    button[type='submit'] {
      font-size: 20px;
      line-height: 26px;
      padding: 17px 67px;
      margin: 46px auto 0;

      @media (min-width: 320px) and (max-width: 540px) {
        width: 100%;
        display: block;
        font-size: 16px;
        line-height: 21px;
      }
    }
  }
}

.cabinet-wrapper .comment-wrapper .comment-list ul .comment-row {
  .comment-item {
    @media (min-width: 320px) and (max-width: 1024px) {
      padding-left: 0;
      padding-right: 0;
      border-width: 0;
      padding-bottom: 20px;
      margin-bottom: 0;
    }

    .comment-avatar {
      @media (min-width: 768px) and (max-width: 1024px) {
        display: none;
      }
    }
  }

  ul:not(.comment-option):not(.option-rate) {
    @media (min-width: 320px) and (max-width: 1024px) {
      margin-left: 15px;

      .comment-row {
        border-left: 1px solid @g-white300;
        padding-left: 10px;
        margin-bottom: 20px;
      }
    }
  }
}
